(function ($) {
    Drupal.behaviors.dz = {
        attach: function () {
            Dropzone.autoDiscover = false;
            $('.dropzone').dropzone({
                url: function () {
                    var url = $('#bynder-dropzone-url').val();
                    return url;
                },
                autoProcessQueue: false,
                uploadMultiple: true,
                addRemoveLinks: true,
                parallelUploads: 100,
                maxFiles: 100,
                acceptedFiles: 'image/*',
                init: function() {

                    var submitButton = document.querySelector("#dropzone-submit");
                    var myDropzone = this; // closure

                    submitButton.addEventListener("click", function(e) {
                        e.preventDefault();
                        e.stopPropagation();
                        myDropzone.processQueue();
                    });

                    // Listen to the sendingmultiple event. In this case, it's the sendingmultiple event instead
                    // of the sending event because uploadMultiple is set to true.
                    this.on("sendingmultiple", function(files, xhr, formData) {
                        $('.dropzone input[type=hidden]').each(function() {
                            formData.append($(this).attr('name'),$(this).val());
                        });
                    });
                    this.on("successmultiple", function(files, response) {
                        // Gets triggered when the files have successfully been sent.
                        // Redirect user or notify of success.
                        $('.dropzone-form').submit();
                    });
                    this.on("errormultiple", function(files, response) {
                        // Gets triggered when there was an error sending the files.
                        // Maybe show form again, and notify user of error
                    });
                    this.on("queuecomplete", function(files, response) {
                        // Gets triggered when there was an error sending the files.
                        // Maybe show form again, and notify user of error
                    });
                }
            });
        }
    }
})(jQuery);
